Subject: [alpine-devel] [PATCH] main/htop: upgrade to 1.0.1

From: Bartłomiej Piotrowski <[email-masked]>
Date: Tue, 03 Apr 2012 16:54:56 +0200

---
 main/htop/APKBUILD |   27 ++++++++++++++++++---------
 1 file changed, 18 insertions(+), 9 deletions(-)

diff --git a/main/htop/APKBUILD b/main/htop/APKBUILD
index d110790..69b1089 100644
--- a/main/htop/APKBUILD
+++ b/main/htop/APKBUILD
@@ -1,22 +1,31 @@
-# Maintainer:Carlo Landmeter
+# Maintainer: Carlo Landmeter
+# Contributor: Bartłomiej Piotrowski <[email-masked]>
+
 pkgname=htop
-pkgver=0.9
+pkgver=1.0.1
 pkgrel=0
 pkgdesc="An interactive process viewer for Linux"
 url="http://htop.sourceforge.net"
 arch="all"
 license='GPL'
-depends=
 makedepends="ncurses-dev"
-source="http://surfnet.dl.sourceforge.net/sourceforge/htop/$pkgname-$pkgver.tar.gz"
+source="http://downloads.sourceforge.net/htop/$pkgname-$pkgver.tar.gz"
-
 subpackages="$pkgname-doc"

 build() {
-       cd $startdir/src/$pkgname-$pkgver
-       ./configure --prefix=/usr --mandir=/usr/share/man
-       make || return 1
-       make DESTDIR="$pkgdir" install
+    cd "$srcdir/$pkgname-$pkgver"
+
+    ./configure --prefix=/usr --mandir=/usr/share/man \
+                --enable-unicode --enable-openvz \
+                --enable-vserver --enable-cgroup
+
+    make || return 1
+}
+
+package() {
+    cd "$srcdir/$pkgname-$pkgver"
+    make DESTDIR="$pkgdir" install
 }

-md5sums="7c5507f35f363f3f40183a2ba3c561f8  htop-0.9.tar.gz"
+md5sums="d3b80d905a6bff03f13896870787f901  htop-1.0.1.tar.gz"
-- 
1.7.9.5

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Bartłomiej Piotrowski <[email-masked]>
Date: Wed, 04 Apr 2012 06:34:29 +0200

Similiar thing that with main/gawk patch. You can find the working one
in the attachment.

-- 
Bartłomiej Piotrowski
http://bpiotrowski.pl/
>From 2257c4a39991cd44ef88ff518c75897127ebc1e4 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Bart=C5=82omiej=20Piotrowski?= <[email-masked]>
Date: Wed, 4 Apr 2012 06:33:22 +0200
Subject: [PATCH] main/htop: upgrade to 1.0.1

---
 main/htop/APKBUILD |   26 ++++++++++++++++----------
 1 file changed, 16 insertions(+), 10 deletions(-)

index d110790..e395a09 100644
@@ -1,22 +1,28 @@
+# Contributor: Bart��omiej Piotrowski <[email-masked]>
 
 build() {

---

From: Natanael Copa <[email-masked]>
Date: Wed, 4 Apr 2012 16:46:40 +0200

On Wed, 04 Apr 2012 06:34:29 +0200

> Similiar thing that with main/gawk patch. You can find the working one

Carlo,

Since you are the maintainer for htop, could you please take care of
this?

Thanks!

-nc

---